local ldb = LibStub:GetLibrary("LibDataBroker-1.1");
local dataobj = ldb:NewDataObject("Broker_PvPinfo", {
	type = "data source",
	icon = "Interface\\AddOns\\Broker_PvPinfo\\icon",
	
	OnClick = function(_, button)
		if IsShiftKeyDown() then
				TogglePVPFrame();
			elseif IsControlKeyDown() then
				TogglePVPFrame();
			elseif IsAltKeyDown() then
				TogglePVPFrame();
			else
				TogglePVPFrame();
		end
	end,
	
	OnTooltipShow = function(tooltip)
    tooltip:AddLine('___ Broker_PvPinfo ___',1,1,1)
    tooltip:AddDoubleLine('Won', 'Battles',0,1,0,1,0,0)
    tooltip:AddLine('_______________________',1,1,1)
    tooltip:AddLine('',1,1,1)
    tooltip:AddLine('Alterac Valley',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(49),GetStatistic(53),0,1,0,1,0,0)
	tooltip:AddLine('Arathi Basin',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(51),GetStatistic(55),0,1,0,1,0,0)
	tooltip:AddLine('Battle for Gilneas',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(5237),GetStatistic(5236),0,1,0,1,0,0)
	tooltip:AddLine('Eye of the Storm',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(50),GetStatistic(54),0,1,0,1,0,0)
	tooltip:AddLine('Isle of Conquest',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(4097),GetStatistic(4096),0,1,0,1,0,0)
	tooltip:AddLine('Silvershard Mines',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(7830),GetStatistic(7829),0,1,0,1,0,0)
	tooltip:AddLine('Strand of the Ancients',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(1550),GetStatistic(1549),0,1,0,1,0,0)
	tooltip:AddLine('Temple of Kotmogu',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(7826),GetStatistic(7825),0,1,0,1,0,0)
	tooltip:AddLine('Twin Peaks',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(5233),GetStatistic(5232),0,1,0,1,0,0)
	tooltip:AddLine('Warsong Gulch',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(105),GetStatistic(52),0,1,0,1,0,0)
    tooltip:AddLine('_______________________',1,1,1)
    tooltip:AddLine('',1,1,1)
	tooltip:AddLine('Battlegrounds',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(840),GetStatistic(839),0,1,0,1,0,0)	
	tooltip:AddLine('Rated battlegrounds',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(5694),GetStatistic(5692),0,1,0,1,0,0)
    tooltip:AddLine('_______________________',1,1,1)
    tooltip:AddLine('',1,1,1)
	tooltip:AddLine('World 1v1',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(319),GetStatistic(320),0,1,0,1,0,0)
	tooltip:AddLine('Arena 2v2',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(366),GetStatistic(367),0,1,0,1,0,0)
	tooltip:AddLine('Arena 3v3',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(364),GetStatistic(365),0,1,0,1,0,0)
	tooltip:AddLine('Arena 5v5',1,1,1)
    tooltip:AddDoubleLine(GetStatistic(362),GetStatistic(363),0,1,0,1,0,0)
    tooltip:AddLine('_______________________',1,1,1)
    tooltip:AddLine('',1,1,1)
	tooltip:AddDoubleLine('Player death:',GetStatistic(60),1,1,1,0,1,0)
	tooltip:AddDoubleLine('Honor Kills:',GetStatistic(588),1,1,1,0,1,0)
	tooltip:AddDoubleLine('Critters killed:',GetStatistic(108),1,1,1,0,1,0)
	tooltip:AddDoubleLine('/violin',GetStatistic(1067),1,1,1,0,1,0)
	
	end
});